Bug 59367 - mail/courier was marked broken
Summary: mail/courier was marked broken
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sergei Kolobov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-11-17 10:00 UTC by Shizuka Kudo
Modified: 2003-12-11 14:47 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (869 bytes, patch)
2003-11-17 10:00 UTC, Shizuka Kudo
no flags Details | Diff
file.diff (627 bytes, patch)
2003-11-17 10:00 UTC, Shizuka Kudo
no flags Details | Diff
courier.diff (3.03 KB, patch)
2003-11-21 02:22 UTC, Shizuka Kudo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shizuka Kudo 2003-11-17 10:00:36 UTC
        mail/courier was marked broken and not up-to-date.

Fix: Applying the attached patch updates courier to 0.44.0 and use mailnull:mailnull as the
user:group instead of courier. This should remove the issue of using unregistered uid/gid. It also
fix the problem on WITH_GHOSTSCRIPT_AFPL



__________________________________
Do you Yahoo!?
Protect your identity with Yahoo! Mail AddressGuard
http://antispam.yahoo.com/whatsnewfree
--0-107610651-1069062938=:75494
Content-Type: text/plain; name="courier-patch.txt"
Content-Description: courier-patch.txt
Content-Disposition: inline; filename="courier-patch.txt"

PORTNAME=      courier
-PORTVERSION=   0.42.2
+PORTVERSION=   0.44.0
 CATEGORIES=    mail ipv6
 MASTER_SITES=  ${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=    courier

 MAINTAINER=    ports@FreeBSD.org
 COMMENT=       Courier SMTP IMAP POP3 HTTP mail server suite
-
-BROKEN=                Uses unregistered uid/gid, already in use by pf
-
 RUN_DEPENDS=   ${LOCALBASE}/share/sysconftool/sysconftool:${PORTSDIR}/devel/sysconftool \
                ${SITE_PERL}/Net/CIDR.pm:${PORTSDIR}/net/p5-Net-CIDR

@@ -38,10 +35,10 @@
 MAILDROPDEFAULT?=./Maildir
 # End of user-serviceable variables
 CONFLICTS=     postfix-1.* postfix-2.* sendmail-8.* sendmail-*-8.* smail-3.* zmailer-2.*
-MAILOWN=       courier
-MAILGRP=       courier
-MAILUID=       62
-MAILGID=       62
+MAILOWN=       mailnull
+MAILGRP=       mailnull
+MAILUID=       26
+MAILGID=       26
 ETCDIR=                ${PREFIX}/etc
 SYSCONFDIR=    ${ETCDIR}/courier
 USERDB=                ${ETCDIR}/userdb
@@ -55,8 +52,6 @@
 USE_SUBMAKE=   yes
 USE_PERL5=     yes
 USE_GMAKE=     yes
-USE_AUTOMAKE=  yes
-USE_LIBTOOL=   yes
 USE_OPENSSL=   yes
 USE_AUTOMAKE_VER=15
 CONFIGURE_ENV= REHASH=${SCRIPTDIR}/c_rehash
@@ -112,7 +107,7 @@
                WITH_SENDFAX="${WITH_SENDFAX:L}" \
                WITH_IPV6="${WITH_IPV6:L}" \
                WITH_TRANSPORT="${WITH_TRANSPORT}" \
-               WITH_GHOSTSCRIPT_AFPL="${WITH_GHOSTSCRIPT_AFPL:no}" \
+               WITH_GHOSTSCRIPT_AFPL="${WITH_GHOSTSCRIPT_AFPL:L}" \
                TOUCH="${TOUCH}" \
                MKDIR="${MKDIR}"

PKG_PREFIX=${PKG_PREFIX:=/usr/local}

-USER=courier;  UID=62
-GROUP=courier; GID=62
+USER=mailnull; UID=26
+GROUP=mailnull;        GID=26

 ask() {
     local question default answer


--0-107610651-1069062938=:75494----3d3z8FPEHIbEROqxDxrZ4rR5VUSAKr9muY9nMvvSJk9RlPJH
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -ur mail/courier/Makefile.orig mail/courier/Makefile
--- mail/courier/Makefile.orig  Sun Nov 16 09:13:21 2003
+++ mail/courier/Makefile       Sun Nov 16 23:19:22 2003
@@ -6,16 +6,13 @@
 #
How-To-Repeat:         cd /usr/ports/mail/courier; make
Comment 1 Sergei Kolobov freebsd_committer 2003-11-17 12:39:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sergei

I'll take it.
Comment 2 Sergei Kolobov freebsd_committer 2003-11-20 22:22:01 UTC
The patch does not apply cleanly. Please re-send and copy me directly.

Sergei
Comment 3 Sergei Kolobov freebsd_committer 2003-11-20 22:22:57 UTC
State Changed
From-To: open->feedback

Waiting for feedback from the submitter.
Comment 4 Shizuka Kudo 2003-11-21 02:22:35 UTC
--- Sergei Kolobov <sergei@FreeBSD.org> wrote:
> The patch does not apply cleanly. Please re-send and copy me directly.
> 
> Sergei

Oops, look like the TABs were substitued.

Here's the patch again. Please note that I patch the port at /usr/ports



__________________________________
Do you Yahoo!?
Free Pop-Up Blocker - Get it now
http://companion.yahoo.com/
Comment 5 Sergei Kolobov freebsd_committer 2003-11-29 23:38:04 UTC
State Changed
From-To: feedback->analyzed

Feedback received.
Comment 6 Sergei Kolobov freebsd_committer 2003-12-11 14:46:55 UTC
State Changed
From-To: analyzed->closed

Committed, thanks!